Page MenuHomePhabricator

merge: pass wctx to premerge, filemerge
ClosedPublic

Authored by phillco on Aug 18 2017, 9:31 PM.

Details

Summary

In the in-memory merge branch. we'll need to call a function (`flushall`) on
the wctx inside of _xmerge.

This prepares the way so it can be done without hacks like `fcd.ctx()`.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

phillco created this revision.Aug 18 2017, 9:31 PM
This comment was removed by phillco.
phillco retitled this revision from merge: pass wctx to premerge, filemerge to merge: pass `wctx` object to `premerge()` and `filemerge`.Aug 19 2017, 4:48 PM
phillco edited the summary of this revision. (Show Details)
phillco added a project: Restricted Project.
phillco edited the summary of this revision. (Show Details)Aug 23 2017, 5:38 PM
phillco retitled this revision from merge: pass `wctx` object to `premerge()` and `filemerge` to merge: pass wctx to premerge, filemerge.
phillco updated this revision to Diff 1235.
phillco updated this revision to Diff 1236.Aug 23 2017, 5:47 PM
phillco updated this revision to Diff 1298.Aug 25 2017, 4:49 PM
phillco planned changes to this revision.Aug 25 2017, 9:14 PM

Will reintroduce later, closer to changes further up the stack.

phillco requested review of this revision.

It's now back in the stack.

phillco abandoned this revision.Sep 7 2017, 12:37 PM
phillco updated this revision to Diff 1670.Sep 7 2017, 12:58 PM

I thought this wasn't needed, but it is.

quark accepted this revision.Sep 8 2017, 3:08 PM
quark added a subscriber: quark.

This looks safe to me.

This revision was automatically updated to reflect the committed changes.